import { Context, CreateRsbuildOptions, NormalizedOutputConfig, BundlerType } from './types';
/**
 * Create context by config.
 */
export declare function createContextByConfig(options: Required<CreateRsbuildOptions>, outputConfig: NormalizedOutputConfig, bundlerType: BundlerType): Context;
export declare function createPublicContext(context: Context): Readonly<Context>;